Subject: Re: [PATCH iwl-next v1 1/2] igb: simplify pci ops declaration

From: Simon Horman <[email-masked]>
Date: Wed, 21 Feb 2024 10:35:25 +0000

On Tue, Feb 20, 2024 at 08:48:28AM -0800, Jesse Brandeburg wrote:
> On 2/19/2024 1:15 AM, Simon Horman wrote:
> > On Sat, Feb 10, 2024 at 02:01:08PM -0800, Jesse Brandeburg wrote:
> >> The igb driver was pre-declaring tons of functions just so that it could
> >> have an early declaration of the pci_driver struct.
> >>
> >> Delete a bunch of the declarations and move the struct to the bottom of the
> >> file, after all the functions are declared.
> >>
> >> Reviewed-by: Alan Brady <[email-masked]>
> >> Signed-off-by: Jesse Brandeburg <[email-masked]>
> 
> >> -	.probe    = igb_probe,
> >> -	.remove   = igb_remove,
> >> -#ifdef CONFIG_PM
> >> -	.driver.pm = &igb_pm_ops,
> >> -#endif
> >> -	.shutdown = igb_shutdown,
> 
> 
> >> +	.probe    = igb_probe,
> >> +	.remove   = igb_remove,
> >> +	.driver.pm = &igb_pm_ops,
> > 
> > Hi Jesse,
> > 
> > the line above causes a build failure if CONFIG_PM is not set.
> 
> Hi Simon, thanks!
> 
> Yeah I missed that, but do we care since patch 2/2 then fixes it?

Right. TBH I wrote the above before noticing 2/2.
And I guess it is not a big deal either way.